From d763f186265c680503b8630cfe19772af1397b87 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 12 2020 07:50:19 +0000
Subject: [PATCH 118/2232] Linkify some links to the github repo


---

diff --git a/src/lib.rs b/src/lib.rs
index ffa8352..47e5367 100644
--- a/src/lib.rs
+++ b/src/lib.rs
@@ -50,7 +50,7 @@
 //! # Example
 //!
 //! A runnable version of this example is provided under the *demo-rs* directory
-//! of https://github.com/dtolnay/cxx (with the C++ side of the implementation
+//! of [https://github.com/dtolnay/cxx] (with the C++ side of the implementation
 //! in the *demo-cxx* directory). To try it out, jump into demo-rs and run
 //! `cargo run`.
 //!
@@ -240,7 +240,7 @@
 //! For use in non-Cargo builds like Bazel or Buck, CXX provides an alternate
 //! way of invoking the C++ code generator as a standalone command line tool.
 //! The tool is packaged as the `cxxbridge-cmd` crate on crates.io or can be
-//! built from the *cmd* directory of https://github.com/dtolnay/cxx.
+//! built from the *cmd* directory of [https://github.com/dtolnay/cxx].
 //!
 //! ```bash
 //! $ cargo install cxxbridge-cmd
@@ -311,7 +311,7 @@
 //! </table>
 //!
 //! The C++ API of the `rust` namespace is defined by the *include/cxx.h* file
-//! in https://github.com/dtolnay/cxx. You will need to include this header in
+//! in [https://github.com/dtolnay/cxx]. You will need to include this header in
 //! your C++ code when working with those types.
 //!
 //! The following types are intended to be supported "soon" but are just not
@@ -328,6 +328,8 @@
 //! <tr><td><sup><i>tbd</i></sup></td><td>std::map&lt;K, V&gt;</td></tr>
 //! <tr><td><sup><i>tbd</i></sup></td><td>std::unordered_map&lt;K, V&gt;</td></tr>
 //! </table>
+//!
+//! [https://github.com/dtolnay/cxx]: https://github.com/dtolnay/cxx
 
 #![doc(html_root_url = "https://docs.rs/cxx/0.1.2")]
 #![deny(improper_ctypes)]
@@ -406,8 +408,9 @@ use std::process;
 /// ```
 ///
 /// A runnable working setup with this build script is shown in the
-/// *demo-rs* and *demo-cxx* directories of
-/// [https://github.com/dtolnay/cxx](https://github.com/dtolnay/cxx).
+/// *demo-rs* and *demo-cxx* directories of [https://github.com/dtolnay/cxx].
+///
+/// [https://github.com/dtolnay/cxx]: https://github.com/dtolnay/cxx
 ///
 /// <br>
 ///

